# iri-to-uri

Applies the %HH escaping convention to a URI, escaping only disallowed characters (but not reserved characters such as "/" and ":")

iri-to-uri($iri as xs:string?) → xs:string

Arguments
| $iri | xs:string? | The supplied IRI which will be escaped to form a valid URI
Result | xs:string

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next